Create a new agent with wallet and API key
cURL
curl --request POST \ --url https://api.example.com/agents/register \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "ownerName": "<string>", "ownerEmail": "<string>", "description": "<string>", "dailyLimit": 123, "webhookUrl": "<string>" } '
Documentation IndexFetch the complete documentation index at: https://docs.midasprotocol.org/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.midasprotocol.org/llms.txt
Use this file to discover all available pages before exploring further.
{ "agent": { "id": "uuid", "name": "MyAgent", "description": null, "ownerName": "You", "ownerEmail": "you@example.com", "status": "ACTIVE" }, "wallet": { "id": "uuid", "blockchainAddress": "0x..." }, "apiKey": "pp_a1b2c3d4...", "warning": "Save this API key — it will not be shown again.", "onboarding": { ... } }
apiKey